<?php
    /*
    * @version      5.3.0 24.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    include_once __DIR__ . '/item_controller.php';
    
    class JomGalleryControllerPicture extends JomGalleryItemController {

        public function __construct($config = array()) {
            parent::__construct($config);
            
            $this->registerTask('apply', 'save');
            $this->registerTask('save2new', 'save');
        }
        
        public function display($cachable = false, $urlparams = false) {
            $view       = $this->getView('picture', JFactory::getDocument()->getType(), '', array());
            $model      = $this->getModel('picture');
            $form       = $model->getForm();
            $form_data  = $model->loadFormData();
            $form->item = $form_data;
            $view->assign('form', $form);
            $view->assign('item', $form_data);
            $view->display();
        }
        
        public function save() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            
            $app   = JFactory::getApplication();
            $model = $this->getModel('picture');
            
            if( !$model->check_required_fields() ) {
                $app->redirect( JRoute::_($_SERVER['REQUEST_URI']) );
            }
            
            if( !$id = $model->save_picture() ) {
                $app->redirect( JRoute::_($_SERVER['REQUEST_URI']) );
            }
            
            JomGalleryHelper::clear_tmp();
            
            switch($this->task) {
                case 'apply'   : $tail = 'picture&id=' . $id; break;
                case 'save'    : $tail = 'pictures'; break;
                case 'save2new': $tail = 'picture'; break;
            }
            $app->redirect( JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=' . $tail) );
        }
                
        public function cancel() {
            JFactory::getApplication()->redirect( JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=pictures') );
        }
        
    }
?>