<?php
    /*
    * @version      5.3.0 22.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryControllerPictures extends JControllerAdmin {
        
        function __construct($config = array()) {
            parent::__construct($config);
        }
        
        function display($cachable = false, $urlparams = false) {
            $modal = (isset($_GET['layout']) && $_GET['layout'] === 'modal') ? true : false;
            $view = $this->getView('pictures', JFactory::getDocument()->getType(), '', array());
            $model = $this->getModel('pictures');
            if(!$modal) $view->assign('sidebar', $model->get_sidebar());
            $view->assign('modal', $modal);
            $view->assign('items', $model->getItems());
            $view->assign('filter_order', $model->from_table_to_contr->filter_order);
            $view->assign('filter_order_dir', $model->from_table_to_contr->filter_order_dir);
            $view->assign('fullordering', $model->from_table_to_contr->fullordering);
            $view->assign('filterForm', $model->getFilterForm());
            $view->assign('activeFilters', $model->from_table_to_contr->active_filters);
            $view->assign('pagination', $model->getPagination());
            $view->display();
        }

        public function add() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            JFactory::getApplication()->redirect( JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=picture') );
        }
        
        public function multi() {
            $view = $this->getView('pictures', JFactory::getDocument()->getType(), '', array());
            $view->assign('form', $this->getModel('pictures')->get_multiform());
            $view->setLayout('multi');
            $view->multi();
        }
        
        public function multiupload() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            
            if( empty($_POST['jform']['parent_id']) ) {
                $this->_multiupload_error(JText::sprintf('JLIB_FORM_VALIDATE_FIELD_REQUIRED', JText::_('COM_JOMGALLERY_GALLERY')));
                return;
            }
            
            if( empty($_POST['jform']['ddup_pictures']) ) {
                $this->_multiupload_error(JText::sprintf('JLIB_FORM_VALIDATE_FIELD_REQUIRED', JText::_('COM_JOMGALLERY_PICTURES')));
                return;
            }
            
            $_FILES['ddup_pictures'] = json_decode($_POST['jform']['ddup_pictures'], true);
            if( !JGFile::is_uploaded('ddup_pictures') ) {
                $this->_multiupload_error(JText::sprintf('JLIB_FORM_VALIDATE_FIELD_REQUIRED', JText::_('COM_JOMGALLERY_PICTURES')));
                return;
            }
            
            $reply = $this->getModel('Picture')->save_pictures();
            JomGalleryHelper::clear_tmp();
            $reply ? $this->display() : $this->_multiupload_error();
        }
        
        private function _multiupload_error($msg = null, $type = 'error') {
            if($msg && $type) JFactory::getApplication()->enqueueMessage($msg, $type);
            $this->task = 'multiupload';
            $this->multi();
        }
        
        public function edit() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            JFactory::getApplication()->redirect( JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=picture&id=' . intval($_POST['cid'][0])) );
        }
        
        public function publish() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            $this->name = 'picture';
            $this->option = $this->option . '&controller=pictures';
            $this->text_prefix = $this->text_prefix . '_PICTURE_MSG';
            parent::publish();
        }
        
        public function saveOrderAjax() {
            $this->name = 'picture';
            parent::saveOrderAjax();
        }
        
        public function remove() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            $ids = JFactory::getApplication()->input->get('cid', array(), 'array');
            $this->getModel('pictures')->delete_pictures($ids);
            JFactory::getApplication()->redirect(JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=pictures'));
        }
    }
?>