<?php
    /*
    * @version      5.0.0 20.12.2014
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JGFile extends JFile {
        
        static public function is_uploaded($input_name = 'jform', $i = 0) {
            if( isset($_FILES[$input_name]['tmp_name'][JGConfig::_('files_arrname')][0]) ) {
                if( is_string($_FILES[$input_name]['tmp_name'][JGConfig::_('files_arrname')]) ) {
                    if( !empty($_FILES[$input_name]['tmp_name'][JGConfig::_('files_arrname')]) ) {
                        if( file_exists($_FILES[$input_name]['tmp_name'][JGConfig::_('files_arrname')]) ) return true;
                    }
                }
                else {
                    if( !empty($_FILES[$input_name]['tmp_name'][JGConfig::_('files_arrname')][$i]) ) {
                        if( file_exists($_FILES[$input_name]['tmp_name'][JGConfig::_('files_arrname')][$i]) ) return true;
                    }
                }
            }
            return false;
        }
        
        static public function checkget_filedata($input_name = 'jform', $i = 0) {
            $app = JFactory::getApplication();
            
            /*CHECK IS FILE EXISTS*/
            if( !self::is_uploaded($input_name, $i) ) return;
            
            /*GET FILEDATA:*/
            $data = new stdClass();
            foreach($_FILES[$input_name] as $prop => $val) {
                $data->{$prop} = $_FILES[$input_name][$prop][JGConfig::_('files_arrname')];
                if(is_array($data->{$prop})) $data->{$prop} = $data->{$prop}[$i];
            }
            $chekextname = class_exists('finfo') ? $data->tmp_name : $data->name;
            $data->ext = self::get_filext($chekextname, true);
            $data->imgtype = constant('IMAGETYPE_' . strtoupper($data->ext));
            
            
            /*CHECK FILEDATA:*/
            /*check errors:*/
            $max_file_size = round(JGConfig::_('max_file_size') / 1024 / 1024, 2);
            if( $data->error != 0 ) {
                if(!in_array($data->error, array(1,2,3,4,6,7,8))) $data->error = '';
                switch($data->error) {
                    case 2: $substr = $max_file_size; break;
                    default: $substr = '';
                }
                $app->enqueueMessage(JText::sprintf('COM_JOMGALLERY_ERROR_FILE_' . $data->error, $data->name, $substr), 'error');
                return;
            }
            
            /*check size:*/
            if( $data->size > JGConfig::_('max_file_size') ) {
                $app->enqueueMessage(JText::sprintf('COM_JOMGALLERY_ERROR_FILE_2', $data->name, $max_file_size), 'error');
                return;
            }
            
            /*check extension:*/
            if( !in_array($data->ext, JGConfig::_('allowed_extensions')) ) {
                $app->enqueueMessage(JText::sprintf('COM_JOMGALLERY_ERROR_FILE_EXT', $data->name), 'error');
                return;
            }
            
            return $data;
        }
        
        static public function get_filext($path, $use_finfo = false) {
            if( !$use_finfo || !class_exists('finfo') || !file_exists($path) ) {
                $ext = strtolower(trim(JFile::getExt($path)));
                if($ext == 'jpg') $ext = 'jpeg';
                return $ext;
            }
            $finfo = new finfo();
            $mime_type = strtolower($finfo->file($path, FILEINFO_MIME_TYPE));
            $ext = str_replace('image/', '', $mime_type);
            return $ext;
        }
        
    }