<?php
    /*
    * @version      5.2.0 23.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryHelper extends JHelperContent {

        public static function addSubmenu($vName) {
            JHtmlSidebar::addEntry(
                JText::_('COM_JOMGALLERY_GALLERIES'),
                'index.php?option=com_jomgallery&controller=galleries',
                $vName == 'galleries'
            );
            JHtmlSidebar::addEntry(
                JText::_('COM_JOMGALLERY_PICTURES'),
                'index.php?option=com_jomgallery&controller=pictures',
                $vName == 'pictures'
            );
            JHtmlSidebar::addEntry(
                JText::_('COM_JOMGALLERY_CONFIG'),
                'index.php?option=com_jomgallery&controller=config',
                $vName == 'config'
            );
            JHtmlSidebar::addEntry(
                JText::_('COM_JOMGALLERY_ABOUT'),
                'index.php?option=com_jomgallery&controller=about',
                $vName == 'about'
            );
        }
        
        public static function get_langs($key = '', $order = '') {
            
            static $langs = array();
            
            if( !$langs ) {
                $db = JFactory::getDbo();
                $db->setQuery('SELECT * FROM #__languages ORDER BY ' . $db->qn('ordering') . ' ASC');
                $langs = $db->loadObjectList();
            };
            $return     = $langs;
            $white_list = array('id', 'code', 'sef');
            if( $order && in_array($order, $white_list) ) {
                switch($order) {
                    case 'id'  : usort($return, function($a, $b) { return $a->{'lang_id'} > $b->{'lang_id'}; }); break;
                    case 'code': usort($return, function($a, $b) { return strcmp($a->{'lang_code'}, $b->{'lang_code'}); }); break;
                    case 'sef' : usort($return, function($a, $b) { return strcmp($a->{'sef'}, $b->{'sef'}); });
                }
            }
            if( $key && in_array($key, $white_list) ) {
                if( in_array($key, array('id', 'code')) ) $key = 'lang_' . $key;
                $langs_keyed = array();
                foreach($return as $lang) {
                    $langs_keyed[ $lang->$key ] = $lang;
                }
                $return = $langs_keyed;
            }
            return $return;
        }
        
        public static function add_lang($sefs) {
            include_once JPATH_SITE . '/components/com_jomgallery/helpers/jgconfig.php';
            include_once JPATH_ADMINISTRATOR . '/components/com_jomgallery/tables/jomgallery.php';

            if( is_string($sefs) ) $sefs = array($sefs);
            $table_jomgallery = new TableJomgallery('', '', null);
            $langs_jomgallery = JGConfig::_('languages');
            $sef_last         = end($langs_jomgallery);
            
            foreach($sefs as $sef) {
                if( in_array($sef, $langs_jomgallery) ) {
                    $table_jomgallery->restore_lang($sef);
                }
                else {
                    if( $table_jomgallery->add_lang($sef, $sef_last) ) {
                        $sef_last = $sef;
                    }
                }
            }
        }
        
        public static function update_lang($sef_old, $sef_new) {
            include_once JPATH_SITE . '/components/com_jomgallery/helpers/jgconfig.php';
            include_once JPATH_ADMINISTRATOR . '/components/com_jomgallery/tables/jomgallery.php';
            $table_jomgallery = new TableJomgallery('', '', null);
            $table_jomgallery->update_lang($sef_old, $sef_new);
        }
        
        public static function get_langsef($lang_tag = null) {
            if( is_null($lang_tag) ) $lang_tag = JFactory::getLanguage()->getTag();
            $langs = self::get_langs();
            foreach($langs as $lang) {
                if($lang->lang_code == $lang_tag) {
                    return $lang->sef;
                }
            }
        }
        
        public static function clear_tmp() {
            $tmp_dir = JGConfig::_('dirpath_tmp');
            if( file_exists($tmp_dir) ) JFolder::delete($tmp_dir);
        }
        
    }
    
?>