<?php
    /*
    * @version      5.2.0 22.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      Open Source License, GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JToolbarButtonMLGselect extends JToolbarButton {
        
        protected $_name = 'MLGselect';
        
        public function fetchButton($type = 'MLGselect') {}
        
        public function render(&$definition) {
            $langs = JomGalleryHelper::get_langs();
            if( count($langs) < 2 ) return;
            
            $doc = JFactory::getDocument();
            $doc->addStyleDeclaration('
                #jform_miltilang_chzn {
                    width: auto !important;
                }
                #toolbar-mlgselect .chzn-results li {
                    padding-left: 30px;
                    background-repeat: no-repeat;
                    background-position: 4px center;
                }
                #toolbar-mlgselect .chzn-container-single .chzn-single {
                    padding-left: 33px;
                    background: url(/media/mod_languages/images/' . $langs[0]->sef . '.gif) no-repeat 8px center;
                }
                .miltilang-label {
                    padding-left: 23px;
                    background: url(/media/mod_languages/images/' . $langs[0]->sef . '.gif) no-repeat left center;
                }
                @media(max-width: 480px) {
                    .subhead-collapse.in {
                        overflow: visible;
                    }
                    #jform_miltilang_chzn {
                        width: 100% !important;
                    }
                }
            ');
            ob_start();
            ?>
                <script>
                    jQuery(document).ready(function($) {
                        var mlg_items = $('.miltilang-item');
                        var mlg_labels = $('.miltilang-label');
                        var chzn_single = $('#toolbar-mlgselect .chzn-container-single .chzn-single');
                        var chznSingle_mlgLabels = mlg_labels.add(chzn_single);
                        $('#jform_miltilang').change(function() {
                            var langsef = $(this).val().replace('mlg-', '');
                            mlg_items.hide().filter('.' + this.value).show();
                            chznSingle_mlgLabels.css({backgroundImage: 'url(/media/mod_languages/images/' + langsef + '.gif)'});
                        });
                    });
                </script>
                <div id="toolbar-mlgselect" class="btn-wrapper">
                    <select id="jform_miltilang" class="miltilang">
                        <?php
                            foreach($langs as $i => $lang) {
                                $doc->addStyleDeclaration('
                                    #toolbar-mlgselect .chzn-results li[data-option-array-index="' . $i . '"] {
                                        background-image: url(/media/mod_languages/images/' . $lang->sef . '.gif)
                                    }
                                ');
                                echo '<option value="mlg-' . $lang->sef . '">' . $lang->title_native . '</option>';
                            }
                        ?>
                    </select>
                </div>
            <?php
            return ob_get_clean();
        }
        
    }