<?php
    /*
    * @version      5.3.1 29.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    include_once __DIR__ . '/item_model.php';
    
    class JomGalleryModelConfig extends JomGalleryModelItem_Model {

        public function get_sidebar() {
            JomGalleryHelper::addSubmenu('config');
            return JHtmlSidebar::render();
        }
        
        public function getForm($data = array(), $loadData = true) {
            return $this->loadForm('com_jomgallery.config', 'config', array('control' => 'jform', 'load_data' => $loadData));
        }

        public function loadFormData() {
            return $this->getTable('config')->tback_get_config();
        }
        
        public function save_settings() {
            $app             = JFactory::getApplication();
            $jinp            = $app->input;
            $table           = $this->getTable('config');
            $langs           = JomGalleryHelper::get_langs();
            $miltilang_props = array('metatitle', 'metakey', 'metadesc');
            
            //initialize data:
            $data = new stdClass();
            foreach($miltilang_props as $miltilang_prop) {
                foreach($langs as $lang) {
                    $lang_sfx = '_' . $lang->sef;
                    switch($miltilang_prop) {
                        default: $data->{$miltilang_prop . $lang_sfx} = $jinp->getString($miltilang_prop . $lang_sfx);
                    }
                }
            }
            $data->extensions           = implode(',', $jinp->getDefault('extensions'));
            $data->gall_thumb_width     = $jinp->getInt('gall_thumb_width');
            $data->gall_thumb_height    = $jinp->getInt('gall_thumb_height');
            $data->gall_middle_width    = $jinp->getInt('gall_middle_width');
            $data->gall_middle_height   = $jinp->getInt('gall_middle_height');
            $data->gall_full_width      = $jinp->getInt('gall_full_width');
            $data->gall_full_height     = $jinp->getInt('gall_full_height');
            $data->pic_thumb_width      = $jinp->getInt('pic_thumb_width');
            $data->pic_thumb_height     = $jinp->getInt('pic_thumb_height');
            $data->pic_middle_width     = $jinp->getInt('pic_middle_width');
            $data->pic_middle_height    = $jinp->getInt('pic_middle_height');
            $data->pic_full_width       = $jinp->getInt('pic_full_width');
            $data->pic_full_height      = $jinp->getInt('pic_full_height');
            $data->watermark_on_gallery = $jinp->getInt('watermark_on_gallery');
            $data->watermark_on_picture = $jinp->getInt('watermark_on_picture');
            $data->watermark_location   = $jinp->getCmd('watermark_location');
            $data->watermark_indent     = $jinp->getInt('watermark_indent');
            
            //save configuration files if any of them is chosen and valid:
            $config_files = array(
                'gall_nocover_filename_thumb' => JGConfig::_('dirpaths_galls')->thumbs,
                'gall_nocover_filename_middle' => JGConfig::_('dirpaths_galls')->middles,
                'watermark_filename'  => JGConfig::_('dirpath')
            );
            foreach($config_files as $varname => $filepath) {
                $ddup_varname = 'ddup_' . $varname;
                if(
                    !isset($_FILES[$ddup_varname]['tmp_name'][JGConfig::_('files_arrname')]) ||
                    !file_exists($_FILES[$ddup_varname]['tmp_name'][JGConfig::_('files_arrname')])
                )   continue;
                
                if( !$filedata = JGFile::checkget_filedata($ddup_varname) ) continue;
                
                $filename_old = JGConfig::_($varname);
                $filename_new = JGFile::stripExt($filename_old) . '.' . $filedata->ext;
                $data->$varname = $filename_new;
                JGFile::delete( $filepath . $filename_old );
                if( !JGFile::move($filedata->tmp_name, $filepath . $filename_new) ) {
                    $app->enqueueMessage(JText::sprintf('COM_JOMGALLERY_ERROR_FILE_SAVE', $filedata->name), 'error');
                }
            }
            
            //save data to db and reply:
            $table->id = 1;
            $table->bind($data);
            if($table->store())
                $app->enqueueMessage(JText::_('COM_JOMGALLERY_CONFIG_MSG_SAVED'));
            else
                $app->enqueueMessage(JText::_('COM_JOMGALLERY_CONFIG_ERROR_SAVE'), 'error');
            
            $app->redirect(JRoute::_(JUri::base() . 'index.php?option=com_jomgallery&controller=config'));
        }
        
    }
?>