<?php
    /*
    * @version      5.3.1 29.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JFormFieldDdup extends JFormField {
        
        protected $type = 'Ddup';

        protected function getInput() {
            
            JHtml::stylesheet('administrator/components/com_jomgallery/css/ddup.css');
            JHtml::script('administrator/components/com_jomgallery/js/ddup.js');
            
            $doc = JFactory::getDocument();
            $doc->addStyleDeclaration("
                .ddup-img-box {
                    display: inline-block;
                    margin-bottom: 20px;
                    text-align: center;
                }
                .ddup-img-btns {
                    margin-top: 15px;
                }
            ");
            
            $params_int = array(
                'maxfiles',
                'preview_w',
                'preview_h'
            );
            $item_id         = $this->form->getValue('id');
            $ddup_id         = 'ddup_' . $this->fieldname;
            $folder          = isset($this->element['folder']) ? (string) $this->element['folder'] : '';
            $filename        = $this->form->getValue($this->fieldname);
            if( $rotator_url = isset($this->element['rotator_url']) ? (string) $this->element['rotator_url'] : '' ) {
                $rotator_url = JUri::base() . $rotator_url . ( $item_id ? ('&id=' . $item_id) : '' );
            }
            $rotator         = isset($this->element['rotator']) && (string) $this->element['rotator'] === 'true' && $rotator_url;
            if( $remover_url = isset($this->element['remover_url']) ? (string) $this->element['remover_url'] : '' ) {
                $remover_url = JUri::base() . $remover_url . ( $item_id ? ('&id=' . $item_id) : '' );
            }
            $remover         = isset($this->element['remover']) && (string) $this->element['remover'] === 'true' && $remover_url;
            $required        = isset($this->element['required']) && (string) $this->element['required'] === 'true' && !$this->form->getValue($this->fieldname);

            ob_start();
            ?>
                <div class="ddup-input">
                    <script>
                        if( typeof ddupimg === 'undefined' ) {
                            var ddupimg = {
                                rotate_relay: true,
                                rotate: function(e, url) {
                                    if( !this.rotate_relay ) return false;
                                    this.rotate_relay = false;
                                    jQuery.ajax(url).done(function() {
                                        var img = jQuery(e.target).closest('.ddup-img-box').find('.ddup-img');
                                        var src = img.attr('src') + (10 * Math.random()).ceil();
                                        img.attr('src', src);
                                        ddupimg.rotate_relay = true;
                                    });
                                },
                                remove: function(e, url) {
                                    if( !confirm('<?php echo JText::_('COM_JOMGALLERY_SURE'); ?>') ) return false;
                                    jQuery.ajax(url).done(function() {
                                        jQuery(e.target).closest('.ddup-img-box').remove();
                                    });
                                }
                            };
                        }
                        
                        jQuery(document).ready(function($) {
                            $('#<?php echo $ddup_id; ?>').ddup({
                                allow_exts: [<?php echo "'" . implode("','", JGConfig::_('allowed_extensions')) . "'"; ?>],
                                maxfilesize: <?php echo JGConfig::_('max_file_size'); ?>,
                                files_arrname: 'jform[]',
                                php_path: '<?php echo JUri::base() . 'index.php?option=com_jomgallery&controller=ddup&task=xhr_files_upload'; ?>',
                                files_varname: 'jform[<?php echo $ddup_id; ?>]',
                                <?php
                                    foreach($params_int as $param_int) {
                                        if( isset($this->element[$param_int]) ) echo $param_int . ': ' . intval($this->element[$param_int]) . ',' . "\n";
                                    }
                                ?>
                                lang: '<?php echo JomGalleryHelper::get_langsef(); ?>',
                                <?php
                                    if( isset($this->element['lang_overwrites']) ) {
                                        $lang_overwrites = '';
                                        $lo_pairs = explode(',', $this->element['lang_overwrites']);
                                        foreach($lo_pairs as $lo_pair) {
                                            $lo_pair_arr = explode(':', $lo_pair);
                                            if( empty($lo_pair_arr[0]) || empty($lo_pair_arr[1]) ) continue;
                                            
                                            $lang_overwrites .= "\n \t" . trim($lo_pair_arr[0]) . ": '" . JText::_( trim($lo_pair_arr[1]) ) . "',";
                                        }
                                        if($lang_overwrites) echo 'lang_overwrites: {' . $lang_overwrites . "\n" . '},' . "\n";
                                    }
                                ?>
                                on_before_submit: function(obj) {
                                    if( document.adminForm.task.value == 'cancel' ) obj.cansel = true;
                                }
                            });
                        });
                    </script>
                    <?php
                        if( $folder && $filename ) {
                            ?>
                                <div class="ddup-img-box">
                                    <img class="ddup-img" src="<?php echo JUri::root() . $folder . '/' . $filename  . '?' . rand(100, 999); ?>">
                                    <?php if( $rotator || $remover ) { ?>
                                        <div class="ddup-img-btns">
                                            <?php if($rotator) { ?>
                                                <span class="btn hasTooltip" onclick="ddupimg.rotate(event, '<?php echo $rotator_url ?>&task=rotate_counterclockwise');" title="<?php echo JText :: _('COM_JOMGALLERY_ROTATE_COUNTERCLOCKWISE'); ?>"><i class="icon-undo-2"></i></span>
                                            <?php } ?>
                                            <?php if($remover) { ?>
                                                <span class="btn hasTooltip" onclick="ddupimg.remove(event, '<?php echo $remover_url ?>')" title="<?php echo JText :: _('JACTION_DELETE'); ?>"><i class="icon-delete"></i></span>
                                            <?php } ?>
                                            <?php if($rotator) { ?>
                                                <span class="btn hasTooltip" onclick="ddupimg.rotate(event, '<?php echo $rotator_url ?>&task=rotate_clockwise');" title="<?php echo JText :: _('COM_JOMGALLERY_ROTATE_CLOCKWISE'); ?>"><i class="icon-refresh"></i></span>
                                            <?php } ?>
                                        </div>
                                    <?php } ?>
                                </div>
                            <?php
                        }
                    ?>
                    <div id="<?php echo $ddup_id; ?>"></div>
                    <?php if($required) { ?>
                        <input id="jform_<?php echo $this->fieldname; ?>" type="hidden" value="" required>
                        <script>
                            var submitbutton_method = Joomla.submitbutton;
                            Joomla.submitbutton = function(task) {
                                var pics_qty = jQuery('#<?php echo $ddup_id; ?> ul li').length;
                                jQuery('#jform_<?php echo $this->fieldname; ?>').val( pics_qty ? 1 : '' );
                                submitbutton_method(task);
                            }
                        </script>
                    <?php } ?>
                </div>
            <?php   
            
            return ob_get_clean();
        }
        
    }