<?php
    /*
    * @version      5.2.0 22.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('editor');
    
    class JFormFieldMLGeditor extends JFormFieldEditor {
        
        public $type = 'MLGeditor';
        
        protected function getLabel() {
            $this->labelclass .= ' miltilang-label';
            return parent::getLabel();
        }
        
        protected function getInput() {
            $html = '<div class="miltilang-box">';
            $item = $this->form->item;
            $editor = $this->getEditor();
            $classname = 'miltilang-item ' . ( empty($this->class) ? '' : ' ' . $this->class . ' ' );
            $langs = JomGalleryHelper::get_langs();
            foreach($langs as $i => $lang) {
                $lang_sfx = '_' . $lang->sef;
                $id = $this->id . $lang_sfx;
                $name = $this->getName($this->fieldname . $lang_sfx);
                $value_prop = $this->fieldname . $lang_sfx;
                $value = isset($item->$value_prop) ? $item->$value_prop : '';
                $value = htmlspecialchars($value, ENT_COMPAT, 'UTF-8');
                $label = (string) $this->element['label'];
                $style = $i ? ' style="display: none;" ' : '';
                $html .= '<div class="' . $classname . 'mlg-' . $lang->sef . '"' . $style . '>';
                $html .= '<label for="' . $id . '" style="display: none;">' . JText::_($label) . ' (' . $lang->title_native . ')</label>';
                $html .= $editor->display(
                        $name,
                        $value,
                        $this->width,
                        $this->height,
                        $this->columns,
                        $this->rows,
                        $this->buttons ? (is_array($this->buttons) ? array_merge($this->buttons, $this->hide) : $this->hide) : false,
                        $id,
                        $this->asset,
                        $this->form->getValue($this->authorField),
                        array('syntax' => (string) $this->element['syntax'])
                );
                $html .= '</div>';
            }
            $html .= '</div>';
            
            return $html;
        }
        
    }
?>