<?php
    /*
    * @version      5.2.0 22.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    JFormHelper::loadFieldClass('text');

    class JFormFieldMLGtext extends JFormFieldText {

        protected $type = 'MLGtext';
        
        protected function getLabel() {
            $this->labelclass .= ' miltilang-label';
            return parent::getLabel();
        }

        protected function getInput() {
            // Translate placeholder text
            $hint = $this->translateHint ? JText::_($this->hint) : $this->hint;

            // Initialize some field attributes.
            $size         = !empty($this->size) ? ' size="' . $this->size . '"' : '';
            $maxLength    = !empty($this->maxLength) ? ' maxlength="' . $this->maxLength . '"' : '';
            $classname    = 'miltilang-item ' . ( empty($this->class) ? '' : $this->class ) . ' ';
            $readonly     = $this->readonly ? ' readonly' : '';
            $disabled     = $this->disabled ? ' disabled' : '';
            $required     = '';
            $hint         = $hint ? ' placeholder="' . $hint . '"' : '';
            $autocomplete = !$this->autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $this->autocomplete . '"';
            $autocomplete = $autocomplete == ' autocomplete="on"' ? '' : $autocomplete;
            $autofocus    = $this->autofocus ? ' autofocus' : '';
            $spellcheck   = $this->spellcheck ? '' : ' spellcheck="false"';
            $pattern      = !empty($this->pattern) ? ' pattern="' . $this->pattern . '"' : '';
            $inputmode    = !empty($this->inputmode) ? ' inputmode="' . $this->inputmode . '"' : '';
            $dirname      = !empty($this->dirname) ? ' dirname="' . $this->dirname . '"' : '';

            // Initialize JavaScript field attributes.
            $onchange = !empty($this->onchange) ? ' onchange="' . $this->onchange . '"' : '';

            // Including fallback code for HTML5 non supported browsers.
            JHtml::_('jquery.framework');
            JHtml::_('script', 'system/html5fallback.js', false, true);

            $datalist = '';
            $list     = '';

            /* Get the field options for the datalist.
            Note: getSuggestions() is deprecated and will be changed to getOptions() with 4.0. */
            $options  = (array) $this->getSuggestions();

            if ($options)
            {
                $datalist = '<datalist id="' . $this->id . '_datalist">';

                foreach ($options as $option)
                {
                    if (!$option->value)
                    {
                        continue;
                    }

                    $datalist .= '<option value="' . $option->value . '">' . $option->text . '</option>';
                }

                $datalist .= '</datalist>';
                $list     = ' list="' . $this->id . '_datalist"';
            }
            
            $html = '<div class="miltilang-box">';
            $item = $this->form->item;
            $langs = JomGalleryHelper::get_langs();
            foreach($langs as $i => $lang) {
                $lang_sfx = '_' . $lang->sef;
                $id = $this->id . $lang_sfx;
                $class = ' class="' . $classname . 'mlg-' . $lang->sef . '" ';
                $value_prop = $this->fieldname . $lang_sfx;
                $value = isset($item->$value_prop) ? $item->$value_prop : '';
                $value = htmlspecialchars($value, ENT_COMPAT, 'UTF-8');
                $label = (string) $this->element['label'];
                $required     = $this->required ? ' required aria-required="true"' : '';
                $style = $i ? ' style="display: none;" ' : '';
                $html .= '<label for="' . $id . '" style="display: none;">' . JText::_($label) . ' (' . $lang->title_native . ')</label>';
                $html .= '<input type="text" name="' . $this->getName($this->fieldname . $lang_sfx) . '" id="' . $id . '"' . $style . $dirname . ' value="'
                    . $value . '"' . $class . $size . $disabled . $readonly . $list
                    . $hint . $onchange . $maxLength . $required . $autocomplete . $autofocus . $spellcheck . $inputmode . $pattern . ' />';
                $html .= $datalist;
                
            }
            $html .= '</div>';

            return $html;
        }

    }