<?php
    /*
    * @version      5.2.0 22.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('textarea');
    
    class JFormFieldMLGtextarea extends JFormFieldTextarea {
        
        protected $type = 'MLGtextarea';
        
        protected function getLabel() {
            $this->labelclass .= ' miltilang-label';
            return parent::getLabel();
        }
        
        protected function getInput() {
            // Translate placeholder text
            $hint = $this->translateHint ? JText::_($this->hint) : $this->hint;

            // Initialize some field attributes.
            $classname    = 'miltilang-item ' . ( empty($this->class) ? '' : $this->class ) . ' ';
            $disabled     = $this->disabled ? ' disabled' : '';
            $readonly     = $this->readonly ? ' readonly' : '';
            $columns      = $this->columns ? ' cols="' . $this->columns . '"' : '';
            $rows         = $this->rows ? ' rows="' . $this->rows . '"' : '';
            $required     = $this->required ? ' required aria-required="true"' : '';
            $hint         = $hint ? ' placeholder="' . $hint . '"' : '';
            $autocomplete = !$this->autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $this->autocomplete . '"';
            $autocomplete = $autocomplete == ' autocomplete="on"' ? '' : $autocomplete;
            $autofocus    = $this->autofocus ? ' autofocus' : '';
            $spellcheck   = $this->spellcheck ? '' : ' spellcheck="false"';
            $maxlength    = $this->maxlength ? ' maxlength="' . $this->maxlength . '"' : '';

            // Initialize JavaScript field attributes.
            $onchange = $this->onchange ? ' onchange="' . $this->onchange . '"' : '';
            $onclick = $this->onclick ? ' onclick="' . $this->onclick . '"' : '';

            // Including fallback code for HTML5 non supported browsers.
            JHtml::_('jquery.framework');
            JHtml::_('script', 'system/html5fallback.js', false, true);
            
            $html = '<div class="miltilang-box">';
            $item = $this->form->item;
            
            $langs = JomGalleryHelper::get_langs();
            foreach($langs as $i => $lang) {
                $lang_sfx = '_' . $lang->sef;
                $id = $this->id . $lang_sfx;
                $class = ' class="' . $classname . 'mlg-' . $lang->sef . '" ';
                $value_prop = $this->fieldname . $lang_sfx;
                $value = isset($item->$value_prop) ? $item->$value_prop : '';
                $value = htmlspecialchars($value, ENT_COMPAT, 'UTF-8');
                $label = (string) $this->element['label'];
                $style = $i ? ' style="display: none;" ' : '';
                $html .= '<label for="' . $id . '" style="display: none;">' . JText::_($label) . ' (' . $lang->title_native . ')</label>';
                $html .= '<textarea name="' . $this->getName($this->fieldname . $lang_sfx) . '" id="' . $id . '"' . $style . $columns . $rows . $class . $hint . $disabled . $readonly . $onchange . $onclick . $required . $autocomplete . $autofocus . $spellcheck . $maxlength . ' >' . $value . '</textarea>';
            }
            $html .= '</div>';
            
            return $html;
        }
        
    }
?>