<?php
    /*
    * @version      5.2.1 31.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('JPATH_BASE') or die;
    
    include_once JPATH_ADMINISTRATOR . '/components/com_jomgallery/helpers/jomgallery.php';

    class JFormFieldModal_Gallery extends JFormField {

        protected $type = 'Modal_Gallery';

        protected function getInput() {
            $allowEdit = ((string) $this->element['edit'] == 'true') ? true : false;
            
            JFactory::getLanguage()->load('com_content', JPATH_ADMINISTRATOR);
            JHtml::_('behavior.modal', 'a.modal');
            
            $script = 'function jSelectGallery_' . $this->id . '(id, name) {' . "\n" .
                    "\t" . 'document.getElementById("' . $this->id . '_id").value = id + "&controller=gallery";' . "\n" .
                    "\t" . 'document.getElementById("' . $this->id . '_name").value = name;';
            if($allowEdit) $script.= "\n" . "\t" . 'jQuery("#' . $this->id . '_edit").removeClass("hidden");';
            $script .= "\n" . "\t" . 'SqueezeBox.close();' . "\n" .
                    '}';
            JFactory::getDocument()->addScriptDeclaration($script);
            
            $link = 'index.php?option=com_jomgallery&controller=galleries&layout=modal&tmpl=component&function=jSelectGallery_' . $this->id;
            //if (isset($this->element['language'])) $link .= '&forcedLanguage=' . $this->element['language'];
            $id = intval($this->value);
            if($id) {
                $db = JFactory::getDbo();
                $query = $db->getQuery(true)
                        ->select($db->qn( 'name_' . JomGalleryHelper::get_langsef() ))
                        ->from($db->qn('#__jomgallery_galleries'))
                        ->where($db->qn('id') . ' = ' . $id);
                $db->setQuery($query);
                $title = $db->loadResult();
            }
            if( empty($title) ) $title = JText::_('COM_JOMGALLERY_GALLERY_SELECT');
            $title = htmlspecialchars($title, ENT_QUOTES, 'UTF-8');

            $html = '<span class="input-append">';
            $html .= '<input type="text" class="input-medium" id="' . $this->id . '_name" value="' . $title . '" disabled="disabled" size="35" />';
            $html .= '<a class="modal btn hasTooltip" title="' . JText::_('COM_JOMGALLERY_GALLERY_SELECT') . '" href="' .  $link  . '" rel="{handler: \'iframe\', size: {x: 800, y: 450}}"><i class="icon-file"></i> ' . JText::_('JSELECT') . '</a>';
            if($allowEdit && $id) $html .= '<a class="btn hasTooltip" href="index.php?option=com_jomgallery&controller=gallery&id=' . $id . '" target="_blank" title="' . JText::_('COM_JOMGALLERY_GALLERY_EDIT') . '" ><span class="icon-edit"></span> ' . JText::_('JACTION_EDIT') . '</a>';
            $html .= '</span>';
            $html .= '<input type="hidden" id="' . $this->id . '_id"' . ($this->required ? ' class="required modal-value"' : '') . ' name="' . $this->name . '" value="' . $id . '" />';
            
            return $html;
        }

    }