<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryModelGalleries extends JModelList {
        
    public $from_table_to_contr;

 	public function __construct($config = array()) {
            if(empty($config['filter_fields'])) {
                $config['filter_fields'] = array(
                    'g.ordering',
                    'g.published',
                    'name',
                    'g.access',
                    'g.created',
                    'u.name',
                    'g.hits',
                    'g.id'
                );
            }
            parent::__construct($config);
        }
        
        protected function getListQuery() {
            $query_data = $this->getTable('galleries')->tback_get_galleries(get_object_vars($this->getState()));
            $this->from_table_to_contr = $query_data->to_contr;
            return $query_data->query;
        }

        public function getItems() {
            parent::getItems();
            
            $items = parent::getItems();
            $this->from_table_to_contr->ordering = array();
            if(!$items) return $items;
            
            //set ordering, levels, nesting marks and nesting levels:
            $levels = array();
            $table = $this->getTable('galleries');
            foreach($items as $item) {
                $this->from_table_to_contr->ordering[$item->parent_id][] = $item->id;
                $item->level = 1;
                $item->nesting_marks = '';
                do {
                    $parent = $table->tback_check_nesting(isset($parent) ? $parent : $item->id);
                    if($parent) {
                        $item->level++;
                        $item->nesting_marks .= '|&mdash; ';
                    }
                }
                while($parent);
                $levels[$item->level][$item->parent_id][] = $item->id;
            }
            ksort($levels);
            
            //prepare order according to nesting:
            $ordnesting = array();
            foreach($levels as $family) {
                foreach($family as $parent_id => $children) {
                    $offset = array_search($parent_id, $ordnesting) + 1;
                    array_splice($ordnesting, $offset, 0, $children);
                }
            }
            
            //reorder items according to nesting:
            $items_out = array();
            foreach($items as $item) {
                $i = array_search($item->id, $ordnesting);
                $items_out[$i] = $item;
            }
            ksort($items_out);
            
            return $items_out;
        }
        
        public function get_sidebar() {
            JomGalleryHelper::addSubmenu('galleries');
            return JHtmlSidebar::render();
        }
        
        public function delete_galleries($ids) {
            if(!is_array($ids)) $ids = array($ids);
            JArrayHelper::toInteger($ids);
            $app = JFactory::getApplication();
            $table = $this->getTable('galleries');
            $db = $table->getDbo();
            $pictures_model = parent::getInstance('Pictures', 'JomGalleryModel');
            foreach($ids as $key => $id) {
                if($id) {
                    if($table->delete($id)) {                       
                        $query = "SELECT id FROM #__jomgallery_pictures WHERE parent_id = " . intval($id);
                        $db->setQuery($query);
                        $pictures = $db->loadColumn();
                        if($pictures) $pictures_model->delete_pictures($pictures, false);
                        continue;
                    }
                }
                $app->enqueueMessage(JText::sprintf('COM_JOMGALLERY_GALLERY_ERROR_DELETE', $id), 'error');
                unset($ids[$key]);
            }
            $nof_deleted = count($ids);
            if($nof_deleted > 0) $app->enqueueMessage(JText::plural('COM_JOMGALLERY_GALLERY_MSG_N_ITEMS_DELETED', $nof_deleted));
        }
        
    }
?>