<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryModelPictures extends JModelList {

    public $from_table_to_contr;

 	public function __construct($config = array()) {
            if(empty($config['filter_fields'])) {
                $config['filter_fields'] = array(
                    'p.ordering',
                    'p.published',
                    'name',
                    'gallery_name',
                    'p.access',
                    'p.created',
                    'u.name',
                    'p.hits',
                    'p.id'
                );
            }
            parent::__construct($config);
        }

        public function get_sidebar() {
            JomGalleryHelper::addSubmenu('pictures');
            return JHtmlSidebar::render();
        }

        protected function getListQuery() {
            $query_data = $this->getTable('pictures')->tback_get_pictures(get_object_vars($this->getState()));
            $this->from_table_to_contr = $query_data->to_contr;
            return $query_data->query;
        }
        
        public function delete_pictures($ids, $report = true) {
            if(!is_array($ids)) $ids = array($ids);
            JArrayHelper::toInteger($ids);
            $db = JFactory::getDbo();
            $app = JFactory::getApplication();
            $table = $this->getTable('pictures');
            foreach($ids as $key => $id) {
                if($id) {
                    $filename = $table->tback_get_filename($id);
                    if($filename) {
                        $filepaths = array();
                        $dirs = JGConfig::_('dirpaths_pics');
                        foreach($dirs as $dir) {
                            $filepaths[] = $dir . $filename;
                        }
                        if(JFile::delete($filepaths) && $table->delete($id)) continue;
                    }
                }
                $app->enqueueMessage(JText::sprintf('COM_JOMGALLERY_PICTURE_ERROR_DELETE', $id), 'error');
                unset($ids[$key]);
            }
            $nof_deleted = count($ids);
            if($report && $nof_deleted > 0) $app->enqueueMessage(JText::plural('COM_JOMGALLERY_PICTURE_MSG_N_ITEMS_DELETED', $nof_deleted));
        }
        
        public function get_multiform() {
            return $this->loadForm('com_jomgallery.multi', 'multi', array('control' => 'jform'));
        }
        
    }
?>