<?php
    /*
    * @version      5.2.0 23.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class TableJomgallery extends JTable {
        
        protected $query_access,
                  $langsef;
        
        public function __construct($table, $key, $db) {
            if($table && $key && $db) {
                parent::__construct($table, $key, $db);
            }
            else {
                $this->_db = JFactory::getDbo();
            }
            $this->query_access = 'access IN(' . implode(',', JFactory::getUser()->getAuthorisedViewLevels()) . ')';
            $this->langsef = JomGalleryHelper::get_langsef();
        }
        
        public function add_lang($sef, $sef_last) {
            $success = true;
            
            /*create new columns A*/
            $this->_db->setQuery('
                ALTER TABLE #__jomgallery_config
                    ADD COLUMN ' . $this->_db->qn('metatitle_'         . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('metatitle_'         . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metakey_'           . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('metakey_'           . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metadesc_'          . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('metadesc_'          . $sef_last) . '
            ');
            if( !$this->_db->execute() ) $success = false;
            
            $this->_db->setQuery('
                ALTER TABLE #__jomgallery_galleries
                    ADD COLUMN ' . $this->_db->qn('name_'              . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('name_'              . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('alias_'             . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('alias_'             . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('cover_alt_'         . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('cover_alt_'         . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('description_short_' . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('description_short_' . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('description_'       . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('description_'       . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metatitle_'         . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('metatitle_'         . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metakey_'           . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('metakey_'           . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metadesc_'          . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('metadesc_'          . $sef_last) . '
            ');
            if( !$this->_db->execute() ) $success = false;
            
            $this->_db->setQuery('
                ALTER TABLE #__jomgallery_pictures
                    ADD COLUMN ' . $this->_db->qn('name_'              . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('name_'              . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('alias_'             . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('alias_'             . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('alt_'               . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('alt_'               . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('description_'       . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('description_'       . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metatitle_'         . $sef) . ' varchar(255) NOT NULL AFTER ' . $this->_db->qn('metatitle_'         . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metakey_'           . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('metakey_'           . $sef_last) . ',
                    ADD COLUMN ' . $this->_db->qn('metadesc_'          . $sef) . ' text         NOT NULL AFTER ' . $this->_db->qn('metadesc_'          . $sef_last) . '
            ');
            if( !$this->_db->execute() ) $success = false;
            /*create new columns Z*/

            if( !$success ) return;
            
            $this->_db->setQuery('SELECT languages FROM #__jomgallery_config');
            $languages_str = $this->_db->loadResult();
            $languages_str .= ',' . $sef;
            $this->_db->setQuery('UPDATE #__jomgallery_config SET ' . $this->_db->qn('languages') . ' = ' . $this->_db->q($languages_str));
            $this->_db->execute();

            /*fill required new columns A*/
            $langs = JomGalleryHelper::get_langs('', 'id');
            $lang_proto = reset($langs);

            $this->_db->setQuery('
                SELECT ' . $this->_db->qn('id') . ', ' . $this->_db->qn('name_' . $lang_proto->sef, 'name') . '
                FROM #__jomgallery_galleries
            ');
            foreach($this->_db->loadObjectList() as $gallery) {
                $this->_db->setQuery('
                    UPDATE #__jomgallery_galleries
                    SET ' . $this->_db->qn('name_' . $sef) . ' = ' . $this->_db->q( $gallery->name ) . '
                    WHERE ' . $this->_db->qn('id') . ' = ' . intval($gallery->id) . '
                ');
                $this->_db->execute();
            }
            
            $this->_db->setQuery('
                SELECT ' . $this->_db->qn('id') . ', ' . $this->_db->qn('name_' . $lang_proto->sef, 'name') . '
                FROM #__jomgallery_pictures
            ');
            foreach($this->_db->loadObjectList() as $picture) {
                $this->_db->setQuery('
                    UPDATE #__jomgallery_pictures
                    SET ' . $this->_db->qn('name_' . $sef) . ' = ' . $this->_db->q( $picture->name ) . '
                    WHERE ' . $this->_db->qn('id') . ' = ' . intval($picture->id) . '
                ');
                $this->_db->execute();
            }
            /*fill required new columns Z*/
        }
        
        public function restore_lang($sef) {
            $langs = JomGalleryHelper::get_langs('', 'id');
            $lang_proto = reset($langs);
            
            $this->_db->setQuery('
                SELECT ' . $this->_db->qn('id') . ', ' . $this->_db->qn('name_' . $lang_proto->sef) . ', ' . $this->_db->qn('name_' . $sef) . '
                FROM #__jomgallery_galleries
            ');
            foreach($this->_db->loadObjectList() as $gallery) {
                if( $gallery->{'name_' . $sef} ) continue;
                
                $this->_db->setQuery('
                    UPDATE #__jomgallery_galleries
                    SET ' . $this->_db->qn('name_' . $sef) . ' = ' . $this->_db->q( $gallery->{'name_' . $lang_proto->sef} ) . '
                    WHERE ' . $this->_db->qn('id') . ' = ' . intval($gallery->id) . '
                ');
                $this->_db->execute();
            }
            
            $this->_db->setQuery('
                SELECT ' . $this->_db->qn('id') . ', ' . $this->_db->qn('name_' . $lang_proto->sef) . ', ' . $this->_db->qn('name_' . $sef) . '
                FROM #__jomgallery_pictures
            ');
            foreach($this->_db->loadObjectList() as $picture) {
                if( $picture->{'name_' . $sef} ) continue;
                
                $this->_db->setQuery('
                    UPDATE #__jomgallery_pictures
                    SET ' . $this->_db->qn('name_' . $sef) . ' = ' . $this->_db->q( $picture->{'name_' . $lang_proto->sef} ) . '
                    WHERE ' . $this->_db->qn('id') . ' = ' . intval($picture->id) . '
                ');
                $this->_db->execute();
            }
        }
        
        public function update_lang($sef_old, $sef_new) {
            $success = true;
            
            $this->_db->setQuery('
                ALTER TABLE #__jomgallery_config
                    CHANGE ' . $this->_db->qn('metatitle_'         . $sef_old) . ' ' . $this->_db->qn('metatitle_'         . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('metakey_'           . $sef_old) . ' ' . $this->_db->qn('metakey_'           . $sef_new) . ' text         NOT NULL,
                    CHANGE ' . $this->_db->qn('metadesc_'          . $sef_old) . ' ' . $this->_db->qn('metadesc_'          . $sef_new) . ' text         NOT NULL
            ');
            if( !$this->_db->execute() ) $success = false;
            
            $this->_db->setQuery('
                ALTER TABLE #__jomgallery_galleries
                    CHANGE ' . $this->_db->qn('name_'              . $sef_old) . ' ' . $this->_db->qn('name_'              . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('alias_'             . $sef_old) . ' ' . $this->_db->qn('alias_'             . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('cover_alt_'         . $sef_old) . ' ' . $this->_db->qn('cover_alt_'         . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('description_short_' . $sef_old) . ' ' . $this->_db->qn('description_short_' . $sef_new) . ' text         NOT NULL,
                    CHANGE ' . $this->_db->qn('description_'       . $sef_old) . ' ' . $this->_db->qn('description_'       . $sef_new) . ' text         NOT NULL,
                    CHANGE ' . $this->_db->qn('metatitle_'         . $sef_old) . ' ' . $this->_db->qn('metatitle_'         . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('metakey_'           . $sef_old) . ' ' . $this->_db->qn('metakey_'           . $sef_new) . ' text         NOT NULL,
                    CHANGE ' . $this->_db->qn('metadesc_'          . $sef_old) . ' ' . $this->_db->qn('metadesc_'          . $sef_new) . ' text         NOT NULL
            ');
            if( !$this->_db->execute() ) $success = false;
            
            $this->_db->setQuery('
                ALTER TABLE #__jomgallery_pictures
                    CHANGE ' . $this->_db->qn('name_'              . $sef_old) . ' ' . $this->_db->qn('name_'              . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('alias_'             . $sef_old) . ' ' . $this->_db->qn('alias_'             . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('alt_'               . $sef_old) . ' ' . $this->_db->qn('alt_'               . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('description_'       . $sef_old) . ' ' . $this->_db->qn('description_'       . $sef_new) . ' text         NOT NULL,
                    CHANGE ' . $this->_db->qn('metatitle_'         . $sef_old) . ' ' . $this->_db->qn('metatitle_'         . $sef_new) . ' varchar(255) NOT NULL,
                    CHANGE ' . $this->_db->qn('metakey_'           . $sef_old) . ' ' . $this->_db->qn('metakey_'           . $sef_new) . ' text         NOT NULL,
                    CHANGE ' . $this->_db->qn('metadesc_'          . $sef_old) . ' ' . $this->_db->qn('metadesc_'          . $sef_new) . ' text         NOT NULL
            ');
            if( !$this->_db->execute() ) $success = false;
            
            if( !$success ) return;

            $languages_str = implode(',', JGConfig::_('languages'));
            $languages_str = str_replace($sef_old, $sef_new, $languages_str);
            $this->_db->setQuery('UPDATE #__jomgallery_config SET ' . $this->_db->qn('languages') . ' = ' . $this->_db->q($languages_str));
            $this->_db->execute();
        }

        protected function check_parental_galls($parent_id) {
            while($parent_id) {
                $query = $this->_db->getQuery(true)
                        ->select('parent_id')
                        ->from('#__jomgallery_galleries')
                        ->where('id = ' . $parent_id)
                        ->where('published = 1')
                        ->where($this->query_access);
                $this->_db->setQuery($query);
                $parent_id = $this->_db->loadResult();
                if( is_null($parent_id) ) return;
            }
            return true;
        }
        
    }