<?php
    /*
    * @version      5.3.0 15.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JHtml::_('behavior.formvalidation');
    JHtml::_('formbehavior.chosen', 'select');
    
    JHtml::stylesheet('administrator/components/com_jomgallery/css/gmloc.css');
    JHtml::script('https://maps.googleapis.com/maps/api/js?v=3.exp&signed_in=true&libraries=places');
    JHtml::script('administrator/components/com_jomgallery/js/gmloc.js');
    
    $item = $this->item;
?>

<script>
    window.onload = function() {
        jQuery("#jform_description_ifr").css('height', '200px');
    }
    
    jQuery(document).ready(function($) {
        (function($) {
            var gm_loded = false;
            setTimeout(function() { if($('#myTabTabs .active a').attr('href') == '#geolocation') load_gmloc(); }, 100);
            $('#myTabTabs a[href="#geolocation"]').click(load_gmloc);
            function load_gmloc() {
                if(gm_loded) return;
                gm_loded = true;
                $('.gmloc').gmloc({
                    is_changeable: true,
                    lang_search_box_placeholder: '<?php echo JText::_('COM_JOMGALLERY_SEARCH'); ?>',
                    <?php if($item): ?>
                        latitude: <?php echo $item->geolatitude; ?>,
                        longitude: <?php echo $item->geolongitude; ?>,
                        <?php if($item->geozoom) echo 'zoom: ' . $item->geozoom . ','; ?>
                        <?php if($item->geopov) echo 'pov: ' . $item->geopov . ','; ?>
                        geoname: '<?php echo $item->geoname; ?>',
                        geoname_full: '<?php echo $item->geoname_full; ?>'
                    <?php endif; ?>
                });
            }
        })(jQuery);
    });
    
    Joomla.submitbutton = function(task) {
        if(task == 'cancel' || document.formvalidator.isValid(document.id('adminForm'))) {
            if(task != 'cancel') {
                var form = jQuery('#adminForm');
                form.find('input[name=task]').val(task);
                form.submit();
            }
            else Joomla.submitform(task);
        }
    }
</script>
    
<form name="adminForm" id="adminForm" class="form-validate" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo JGConfig::_('max_file_size'); ?>" />
    <?php echo JLayoutHelper::render('layouts.mlg_title_alias', $this, JPATH_COMPONENT_ADMINISTRATOR); ?>
    <div class="form-horizontal">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'basic')); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'basic', JText::_('COM_JOMGALLERY_BASIC', true)); ?>
                <div class="row-fluid">
                    <div class="span9">
                        <?php echo $this->form->renderFieldset('basic'); ?>
                    </div>
                    <div class="span3">
                        <fieldset class="form-vertical">
                            <?php echo $this->form->renderFieldset('general'); ?>
                        </fieldset>
                    </div>
                </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'geolocation', JText::_('COM_JOMGALLERY_GEOLOCATION', true)); ?>
                <?php echo $this->form->renderFieldset('geolocation'); ?>
                <div class="gmloc"></div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'publishing', JText::_('JGLOBAL_FIELDSET_PUBLISHING', true)); ?>
                <div class="row-fluid form-horizontal-desktop">
                    <div class="span6">
                        <?php echo $this->form->renderFieldset('publishing'); ?>
                    </div>
                </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'metadata', JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS', true)); ?>
                <div class="row-fluid form-horizontal-desktop">
                    <div class="span6">
                        <?php echo $this->form->renderFieldset('metadata'); ?>
                    </div>
                </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php echo JHtml::_('bootstrap.endTabSet'); ?>
    </div>
    <input type="hidden" name="task" value="">
    <?php echo JHtml::_('form.token'); ?>
</form>