<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    $modal = $this->modal;
    $modal_function  = JFactory::getApplication()->input->getCmd('function', 'jSelectPicture');
    $filter = $this->filter_order;
    $filter_dir = $this->filter_order_dir;
    $saveOrder = ($filter == 'p.ordering' && strtolower($filter_dir) == 'asc') ? true : false;
    $canChange = true;
    $postfix = '?' . rand(100, 999);
    
    JHtml::_('formbehavior.chosen', 'select');
    JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

    if ($saveOrder && !$modal) {
        $saveOrderingUrl = 'index.php?option=com_jomgallery&controller=pictures&task=saveOrderAjax&tmpl=component';
        JHtml::_('sortablelist.sortable', 'pics_list', 'adminForm', strtolower($filter_dir), $saveOrderingUrl, false, true);
    }
?>
<script type="text/javascript">
    <?php if($modal) echo "window.onload = function() { jQuery('.btn').attr('data-original-title', ''); }" . "\n"; ?>
    Joomla.orderTable = function()
    {
            table = document.getElementById("sortTable");
            direction = document.getElementById("directionTable");
            order = table.options[table.selectedIndex].value;
            if (order != '<?php echo $filter; ?>')
            {
                    dirn = 'asc';
            }
            else
            {
                    dirn = direction.options[direction.selectedIndex].value;
            }
            Joomla.tableOrdering(order, dirn, '');
    }

    Joomla.submitbutton = function(task) {
        if(task == 'remove' && !confirm('<?php echo JText::_('COM_JOMGALLERY_SURE'); ?>')) return false;
        Joomla.submitform(task, document.getElementById('adminForm'));
    }
</script>
<style>
    .picture_thumb {
        display: block;
    }
    .picture_thumb img {
        width: <?php echo JGConfig::_('pic_sizes')->thumb_width; ?>px;
        height: auto;
        margin-bottom: 0.5em;
        border-radius: 2px;
    }
</style>
<form name="adminForm" id="adminForm" method="post" action="">
    <?php if(!$modal): ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
    <?php else: ?>
    <div id="j-main-container">
    <?php endif; ?>
        <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        <?php if(empty($this->items)): ?>
        <div class="alert alert-no-items">
            <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
        </div>
        <?php else: ?>
        <table id="pics_list" class="table table-striped">
            <thead>
                <tr>
                    <?php if(!$modal): ?>
                        <th width="1%" class="nowrap center hidden-phone">
                            <?php echo JHtml::_('searchtools.sort', '', 'p.ordering', $filter_dir, $filter, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
                        </th>
                        <th width="1%" class="nowrap center">
                            <?php echo JHtml::_('grid.checkall'); ?>
                        </th>
                        <th width="1%" class="nowrap center">
                            <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'p.published', $filter_dir, $filter); ?>
                        </th>
                    <?php endif; ?>
                    <th width="<?php echo JGConfig::_('pic_sizes')->thumb_width; ?>px" class="nowrap center">
                        <?php echo JText::_('COM_JOMGALLERY_PICTURE'); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_TITLE', 'name', $filter_dir, $filter); ?>
                    </th>
                    <th width="20%" class="nowrap">
                        <?php echo JHtml::_('searchtools.sort',  'COM_JOMGALLERY_GALLERY', 'gallery_name', $filter_dir, $filter); ?>
                    </th>
                    <th width="10%" class="nowrap hidden-phone">
                        <?php echo JHtml::_('searchtools.sort',  'JGRID_HEADING_ACCESS', 'p.access', $filter_dir, $filter); ?>
                    </th>
                    <th width="10%" class="nowrap hidden-phone">
                        <?php echo JHtml::_('searchtools.sort',  'JAUTHOR', 'u.name', $filter_dir, $filter); ?>
                    </th>
                    <th width="10%" class="nowrap hidden-phone">
                        <?php echo JHtml::_('searchtools.sort', 'JDATE', 'p.created', $filter_dir, $filter); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_HITS', 'p.hits', $filter_dir, $filter); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'p.id', $filter_dir, $filter); ?>
                    </th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td colspan="12" style="text-align: center">
                        <br>
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
            </tfoot>
            <tbody>
            <?php foreach ($this->items as $i => $item): ?>
                <tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->parent_id; ?>">
                    <?php if(!$modal): ?>
                        <td class="order nowrap center hidden-phone">
                            <?php
                                $iconClass = '';
                                if (!$canChange)
                                {
                                    $iconClass = ' inactive';
                                }
                                elseif (!$saveOrder)
                                {
                                    $iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::tooltipText('JORDERINGDISABLED');
                                }
                            ?>
                            <span class="sortable-handler<?php echo $iconClass ?>">
                                <i class="icon-menu"></i>
                            </span>
                            <?php if($canChange && $saveOrder) : ?>
                                <input type="text" style="display:none" name="order[]" value="<?php echo $item->ordering; ?>" class="width-20 text-area-order" />
                            <?php endif; ?>
                        </td>
                        <td class="nowrap center">
                            <?php echo JHtml::_('grid.id', $i, $item->id); ?>
                        </td>
                        <td class="nowrap center">
                            <?php echo JHtml::_('jgrid.published', $item->published, $i, '', $canChange); ?>
                        </td>
                    <?php endif; ?>
                    <td class="nowrap center">
                        <?php $onclick = ($modal) ? 'onclick="if(window.parent) window.parent.' . $this->escape($modal_function) . '(' . "'" . $item->id . "'" . ', ' . "'" . $this->escape(addslashes($item->name)) . "'" . ');"' : ''; ?>
                        <a class="picture_thumb" href="<?php echo (!$modal) ? JRoute::_('index.php?option=com_jomgallery&controller=picture&id=' . $item->id) : ''; ?>" <?php echo $onclick; ?> title="">
                            <img class="hasTooltip" src="<?php echo JUri::root() . JGConfig::_('dirs_pics')->thumbs . $item->filename . $postfix; ?>" title="<?php echo JText::_(!$modal ? 'JACTION_EDIT' : 'JSELECT'); ?>">
                        </a>
                    </td>
                    <td class="nowrap">
                        <a class="hasTooltip" href="<?php echo (!$modal) ? JRoute::_('index.php?option=com_jomgallery&controller=picture&id=' . $item->id) : ''; ?>" <?php echo $onclick; ?> title="<?php echo JText::_(!$modal ? 'JACTION_EDIT' : 'JSELECT'); ?>">
                            <?php echo $item->name; ?>
                        </a>
                    </td>
                    <td class="nowrap">
                        <?php if(!$modal): ?>
                            <a class="hasTooltip" href="<?php echo JRoute::_('index.php?option=com_jomgallery&controller=gallery&id=' . $item->parent_id); ?>" title="<?php echo JText::_('JACTION_EDIT'); ?>">
                                <?php echo $item->gallery_name; ?>
                            </a>
                        <?php else: ?>
                            <?php echo $item->gallery_name; ?>
                        <?php endif; ?>
                    </td>
                    <td class="small hidden-phone">
                        <?php echo $item->access; ?>
                    </td>
                    <td class="small hidden-phone">
                        <a class="hasTooltip" href="<?php echo JRoute::_('index.php?option=com_users&task=user.edit&id=' . $item->created_by); ?>" title="<?php echo JText::_('JACTION_EDIT'); ?>">
                            <?php echo $item->created_by_name; ?>
                        </a>
                    </td>
                    <td class="small hidden-phone">
                        <?php echo $item->created; ?>
                    </td>
                    <td class="center hidden-phone">
                        <?php echo $item->hits; ?>
                    </td>
                    <td class="center hidden-phone">
                        <?php echo $item->id; ?>
                    </td>
                </tr>
            <?php endforeach; ?>
            </tbody>
        </table>
        <?php endif; ?>
    </div>
    <input type="hidden" name="task" value="">
    <input type="hidden" name="boxchecked" value="0">
    <?php echo JHtml::_('form.token'); ?>
</form>