<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JGConfig {
        
        static private $_instance;
        
        static public function getinst() {
            if(!self::$_instance) self::$_instance = new JGConfig();
            return self::$_instance;
        }
        
        private function __construct() {
            $ini = parse_ini_file(JPATH_SITE . '/components/com_jomgallery/config.ini');
            $xml = simplexml_load_file(JPATH_ADMINISTRATOR . '/components/com_jomgallery/jomgallery.xml');
            JTable::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_jomgallery/tables');
            $table = JTable::getInstance('Config', 'Table');
            $db_config = $table->tback_get_config();
            
            $this->creation_date = (string) $xml->creationDate;
            $this->author = (string) $xml->author;
            $this->author_email = (string) $xml->authorEmail;
            $this->author_url = (string) $xml->authorUrl;
            $this->author_tel = (string) $xml->authorTel;
            $this->author_fax = (string) $xml->authorFax;
            $this->author_tin = (string) $xml->authorTIN;
            $this->author_vatin = (string) $xml->authorVATIN;
            $this->copyright = (string) $xml->copyright;
            $this->license = (string) $xml->license;
            $this->version = (string) $xml->version;
            $this->description = JText::_((string) $xml->description);
            $this->signature = '<div style="margin-top: 2.5em; text-align: right; font-size: 75%;"><a href="' . $this->author_url . '" target="_blank">' . $this->copyright . '</a></div>';
            $this->dir = '/images/jomgallery/';
            $this->dirpath = JPATH_ROOT . $this->dir;
            $this->dir_tmp = '/tmp/jomgallery/';
            $this->dirpath_tmp = JPATH_ROOT . $this->dir_tmp;
            $this->dir_galls = '/images/jomgallery/galleries/';
            $this->dirpath_galls = JPATH_ROOT . '/images/jomgallery/galleries/';
            $this->dirs_galls = new stdClass;
            $this->dirs_galls->thumbs =  $this->dir_galls . 'thumbs/';
            $this->dirs_galls->middles = $this->dir_galls . 'middles/';
            $this->dirs_galls->fulls = $this->dir_galls . 'fulls/';
            $this->dirpaths_galls = new stdClass;
            foreach($this->dirs_galls as $prop => $dir) {
                $this->dirpaths_galls->$prop = JPATH_ROOT . $dir;
            }
            $this->dir_pics = '/images/jomgallery/pictures/';
            $this->dirpath_pics = JPATH_ROOT . '/images/jomgallery/pictures/';
            $this->dirs_pics = new stdClass;
            $this->dirs_pics->thumbs =  $this->dir_pics . 'thumbs/';
            $this->dirs_pics->middles = $this->dir_pics . 'middles/';
            $this->dirs_pics->fulls = $this->dir_pics . 'fulls/';
            $this->dirpaths_pics = new stdClass;
            foreach($this->dirs_pics as $prop => $dir) {
                $this->dirpaths_pics->$prop = JPATH_ROOT . $dir;
            }
            $this->files_arrname = $ini['files_arrname'];
            $this->max_file_size = $ini['max_file_size'] * 1024 * 1024;
            $this->languages = explode(',', $db_config->languages);
            $this->allowed_extensions = $db_config->extensions;
            $this->gallcover_sizes = new stdClass;
            $this->gallcover_sizes->thumb_width = $db_config->gall_thumb_width;
            $this->gallcover_sizes->thumb_height = $db_config->gall_thumb_height;
            $this->gallcover_sizes->middle_width = $db_config->gall_middle_width;
            $this->gallcover_sizes->middle_height = $db_config->gall_middle_height;
            $this->gallcover_sizes->full_width = $db_config->gall_full_width;
            $this->gallcover_sizes->full_height = $db_config->gall_full_width;
            $this->gall_nocover_filename_thumb = $db_config->gall_nocover_filename_thumb;
            $this->gall_nocover_filename_middle = $db_config->gall_nocover_filename_middle;
            $this->pic_sizes = new stdClass;
            $this->pic_sizes->thumb_width = $db_config->pic_thumb_width;
            $this->pic_sizes->thumb_height = $db_config->pic_thumb_height;
            $this->pic_sizes->middle_width = $db_config->pic_middle_width;
            $this->pic_sizes->middle_height = $db_config->pic_middle_height;
            $this->pic_sizes->full_width = $db_config->pic_full_width;
            $this->pic_sizes->full_height = $db_config->pic_full_width;
            $this->watermark_on_gallery = $db_config->watermark_on_gallery;
            $this->watermark_on_picture = $db_config->watermark_on_picture;
            $this->watermark_filename = $db_config->watermark_filename;
            $this->watermark_location = $db_config->watermark_location;
            $this->watermark_indent = $db_config->watermark_indent;
        }
        
        public static function _($param) {
            $jgconfig = self::getinst();
            if( isset($jgconfig->$param) ) return $jgconfig->$param;
        }
        
    }