<?php
    /*
    * @version      5.3.0 24.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryHelperFront extends JHelperContent {
        
        public static function get_bcrumbs($last_crumb = null) {
            $bcrambs = array();
            if( $last_crumb && ($controller = JFactory::getApplication()->input->getCmd('controller')) ) {
                $bcrambs[] = (object) array(
                    'name' => $last_crumb->name,
                    'link' => 'index.php?option=com_jomgallery&controller=' . $controller . '&id=' . $last_crumb->id
                );
                if( $parent_id = $last_crumb->parent_id ) {
                    do {
                        $db = JFactory::getDbo();
                        $query = $db->getQuery(true)
                                ->select('id, parent_id, name_' . self::get_langsef() . ' AS name')
                                ->from('#__jomgallery_galleries')
                                ->where('id = ' . intval($parent_id));
                        $db->setQuery($query);
                        $parent = $db->loadObject();
                        if(!$parent) break;

                        $parent_id = $parent->parent_id;
                        $bcrambs[] = (object) array(
                            'name' => $parent->name,
                            'link' => 'index.php?option=com_jomgallery&controller=gallery&id=' . $parent->id
                        );
                    }
                    while($parent_id);
                }
            }
            $bcrambs[] = (object) array(
                'name' => JText::_('COM_JOMGALLERY'),
                'link' => 'index.php?option=com_jomgallery&controller=galleries'
            );
            return array_reverse($bcrambs);
        }
        
        public static function get_langsef($lang_tag = null) {
            if( is_null($lang_tag) ) $lang_tag = self::getCurrentLanguage();
            $langs = JLanguageHelper::getLanguages();
            foreach($langs as $lang) {
                if($lang->lang_code == $lang_tag) {
                    return $lang->sef;
                }
            }
        }
        
        public static function set_metadata($item) {
            $doc = JFactory::getDocument();
            $menu_item = JFactory::getApplication()->getMenu()->getActive();
            $metatitle = $item->metatitle;
            if(!empty($metatitle)) $doc->setTitle($metatitle);
            $metakey = $item->metakey ? $item->metakey : ($menu_item ? $menu_item->params->get('menu-meta_keywords') : null);
            if(!empty($metakey)) $doc->setMetadata('keywords', $metakey);
            $metadesc = $item->metadesc ? $item->metadesc : ($menu_item ? $menu_item->params->get('menu-meta_description') : null);
            if(!empty($metadesc)) $doc->setDescription($metadesc);
        }
        
    }