<?php
    /*
    * @version      5.3.0 24.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    include_once __DIR__ . '/helpers/jomgallery.php';
    
    function jomgalleryBuildRoute(&$query) {
        $segments = array();
        
        if(isset($query['controller'])) {
            $segments[] = $query['controller'];
            unset($query['controller']);
        }
        
        if(isset($query['id'])) {
            $db = JFactory::getDbo();
            $table_name = ( $segments[0] == 'gallery' ) ? 'galleries' : 'pictures';
            $sql_query = $db->getQuery(true)
                    ->select('alias_' . JomGalleryHelperFront::get_langsef() . ' AS alias')
                    ->from('#__jomgallery_' . $table_name)
                    ->where('id = ' . intval($query['id']));
            $db->setQuery($sql_query);
            $alias = $db->loadResult();
            $segments[] = $alias ? $alias : $query['id'];
            unset($query['id']);
        }
        
        return $segments;
    }
    
    function jomgalleryParseRoute($segments) {
        $vars = array();
        $controllers = array('galleries', 'gallery', 'picture');
        
        if(in_array($segments[0], $controllers)) {
            $vars['controller'] = array_shift($segments);
            if( isset($segments[0]) ) {
                if( !is_numeric($segments[0]) ) {
                    $db = JFactory::getDbo();
                    $table_name = ( $vars['controller'] == 'gallery' ) ? 'galleries' : 'pictures';
                    $alias = str_replace(':', '-', array_shift($segments));
                    $query = $db->getQuery(true)
                            ->select('id')
                            ->from('#__jomgallery_' . $table_name)
                            ->where('alias_' . JomGalleryHelperFront::get_langsef() . ' LIKE ' . $db->q($alias));
                    $db->setQuery($query);
                    $vars['id'] = $db->loadResult();
                }
                else $vars['id'] = array_shift($segments);
            }
        }
        
        while($segments) {
            $vars[ array_shift($segments) ] = isset($segments[0]) ? array_shift($segments) : '';
        }
        
        return $vars;
    }