<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JHtml::_('jquery.framework');
    JHtml::_('bootstrap.framework');
    JHtml::stylesheet('components/com_jomgallery/css/jomgallery.css');
    JHtml::script('components/com_jomgallery/js/imageloader.js');
    JFactory::getDocument()->addScriptDeclaration("jQuery(document).ready(function($) { $('.jomgall .gallery .prevlist li a img').imageloader(); });");
    
    $gallery = $this->gallery;
    $bcrumbs = JomGalleryHelperFront::get_bcrumbs($gallery);
    $subgalleries = $this->subgalleries;
    $pictures = $this->pictures;
    
    JomGalleryHelperFront::set_metadata($gallery);
?>
<div class="jomgall">
    <ul class="breadcrumbs">
        <?php foreach($bcrumbs as $crumb): ?>
            <li>
                <a href="<?php echo JRoute::_($crumb->link); ?>"><?php echo $crumb->name; ?></a>
            </li>
        <?php endforeach; ?>
    </ul>
    <div class="info">
        <h1><?php echo $gallery->name; ?></h1>
        <?php if($gallery->description_short) echo '<div class="description">' . $gallery->description_short . '</div>'; ?>
        <div class="date"><?php echo $gallery->created; ?></div>
        <div class="hits"><?php echo JText::sprintf('JGLOBAL_HITS_COUNT', $gallery->hits); ?></div>
        <?php if($gallery->description): ?>
            <div class="description"><?php echo $gallery->description; ?></div>
        <?php endif; ?>
    </div>
    <div class="gallery">
        <?php if($subgalleries): ?>
            <h3><?php echo JText::_('COM_JOMGALLERY_SUBGALLERIES'); ?>:</h3>
            <ul class="prevlist">
                <?php foreach($subgalleries as $subgall): ?><?php
                ?><li>
                    <a href="<?php echo JRoute::_('index.php?option=com_jomgallery&controller=gallery&id=' . $subgall->id); ?>">
                        <img src="<?php echo JUri::root() . JGConfig::_('dirs_galls')->middles . ($subgall->cover_filename ? $subgall->cover_filename : JGConfig::_('gall_nocover_filename_middle')); ?>" alt="<?php echo $subgall->cover_alt; ?>">
                    </a>
                    <div>
                        <div>
                            <h2><?php echo $subgall->name; ?></h2>
                        </div>
                        <div>
                            <span><?php echo $subgall->description_short ? $subgall->description_short : '...'; ?></span>
                        </div>
                    </div>
                </li><?php
                ?><?php endforeach; ?>
            </ul>
        <?php endif; ?>
        <?php if(empty($pictures)): ?>
            <h3><?php echo JText::_('COM_JOMGALLERY_PICTURES_NONE'); ?></h3>
        <?php else: ?>
            <?php if($subgalleries) echo '<h3>' . JText::_('COM_JOMGALLERY_PICTURES') . ':</h3>'; ?>
            <ul class="prevlist prevlistpics">
                <?php foreach($pictures as $picture): ?><?php
                ?><li>
                    <a href="<?php echo JRoute::_('index.php?option=com_jomgallery&controller=picture&id=' . $picture->id); ?>">
                        <img src="<?php echo JUri::root() . JGConfig::_('dirs_pics')->middles . $picture->filename; ?>" alt="<?php echo $picture->alt; ?>">
                    </a>
                    <div>
                        <div>
                            <h2><?php echo $picture->name; ?></h2>
                        </div>
                    </div>
                </li><?php
                ?><?php endforeach; ?>
            </ul>
        <?php endif; ?>
    </div>
    <?php echo JGConfig::_('signature'); ?>
</div>