<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JHtml::_('jquery.framework');
    JHtml::_('bootstrap.framework');
    JHtml::stylesheet('components/com_jomgallery/css/jomgallery.css');
    JHtml::script('components/com_jomgallery/js/imageloader.js');
    JFactory::getDocument()->addScriptDeclaration("jQuery(document).ready(function($) { $('.jomgall .picture img').imageloader({show_delay: 1000}); });");
    
    $picture = $this->picture;
    $bcrumbs = JomGalleryHelperFront::get_bcrumbs($picture);
    
    JomGalleryHelperFront::set_metadata($picture);
    
    if($picture->geolocation) {
        JHtml::stylesheet('administrator/components/com_jomgallery/css/gmloc.css');
        JHtml::script('https://maps.googleapis.com/maps/api/js?v=3.exp&signed_in=true&libraries=places');
        JHtml::script('administrator/components/com_jomgallery/js/gmloc.js');
    }
?>
<?php if($picture->geolocation): ?>
    <script>
        jQuery(document).ready(function($) {
            $('.gmloc').gmloc({
                latitude: <?php echo $picture->geolatitude; ?>,
                longitude: <?php echo $picture->geolongitude; ?>,
                zoom: <?php echo $picture->geozoom; ?>,
                <?php if($picture->geopov) echo 'pov: ' . $picture->geopov . ','; ?>
                geoname: '<?php echo $picture->geoname; ?>',
                geoname_full: '<?php echo $picture->geoname_full; ?>',
                lang_search_box_placeholder: '<?php echo JText::_('COM_JOMGALLERY_SEARCH'); ?>'
            });
        });        
    </script>
<?php endif; ?>
<div class="jomgall">
    <ul class="breadcrumbs">
        <?php foreach($bcrumbs as $crumb): ?>
            <li>
                <a href="<?php echo JRoute::_($crumb->link); ?>"><?php echo $crumb->name; ?></a>
            </li>
        <?php endforeach; ?>
    </ul>
    <div class="info">
        <h1><?php echo $picture->name; ?></h1>
        <div class="index_number"><?php echo $picture->index_number . ' ' . JText::_('COM_JOMGALLERY_PICTURE_OF') . ' ' . $picture->gallery_picsum; ?></div>
        <div class="date"><?php echo JText::sprintf('JGLOBAL_CREATED_DATE_ON', $picture->created); ?></div>
        <div class="hits"><?php echo JText::sprintf('JGLOBAL_HITS_COUNT', $picture->hits); ?></div>
        <?php if($picture->description): ?>
            <div class="description"><?php echo $picture->description; ?></div>
        <?php endif; ?>
    </div>
    <div class="picture">
        <?php if($picture->prev_picture): ?>
            <a href="<?php echo JRoute::_('index.php?option=com_jomgallery&controller=picture&id=' . $picture->prev_picture->id); ?>">
                <span class="icon-arrow-left"></span>
            </a>
        <?php endif; ?>
        <img src="<?php echo JUri::root() . JGConfig::_('dirs_pics')->fulls . $picture->filename; ?>" alt="<?php echo $picture->alt ? $picture->alt : ''; ?>">
        <?php if($picture->next_picture): ?>
            <a href="<?php echo JRoute::_('index.php?option=com_jomgallery&controller=picture&id=' . $picture->next_picture->id); ?>">
                <span class="icon-arrow-right"></span>
            </a>
        <?php endif; ?>
    </div>
    <?php if($picture->geolocation): ?>
        <div class="geolocation">
            <h3><?php echo JText::_('COM_JOMGALLERY_PICTURE_GEOLOCATION'); ?>:</h3>
            <div class="gmloc"></div>
        </div>
    <?php endif; ?>
    <?php echo JGConfig::_('signature'); ?>
</div>